Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.shading
Class FluxSpectrum

    java.lang.Object
      de.grogra.gpuflux.scene.shading.FluxSpectrum

    public class FluxSpectrum

extends java.lang.Object

Nested Class Summary
`static class` | `FluxSpectrum.SpectralDiscretization`

Constructor Summary
`FluxSpectrum(SpectralCurve SPD)`

Method Summary
`static FluxSpectrum.SpectralDiscretization` | `getDiscretization()`
`Point3f` | `getRGBDistribution()`
`static Point3f` | `getRGBDistribution(SpectralCurve SPD)`
`void` | `serialize(ComputeByteBuffer out)`
`static void` | `serialize(ComputeByteBuffer out, SpectralCurve SPD)`
`static void` | `serializeCorrectedCumulativeSPD(ComputeByteBuffer out, SpectralCurve SPD)`
`static void` | `serializeCumulativeSPD(ComputeByteBuffer out, SpectralCurve SPD)`
`static void` | `serializeNormalizedSPD(ComputeByteBuffer out, SpectralCurve SPD, float unit)`
`static void` | `serializeSPD(ComputeByteBuffer out, SpectralCurve SPD)`
`static void` | `setDiscretization(FluxSpectrum.SpectralDiscretization discretization)`
`static void` | `setImportance(SpectralCurve ImportanceSPD)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxSpectrum

    public FluxSpectrum(SpectralCurve SPD)

Method Detail

### getDiscretization

    public static FluxSpectrum.SpectralDiscretization getDiscretization()

### getRGBDistribution

    public Point3f getRGBDistribution()

### getRGBDistribution

    public static Point3f getRGBDistribution(SpectralCurve SPD)

### serialize

    public void serialize(ComputeByteBuffer out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### serialize

    public static void serialize(ComputeByteBuffer out,
                                 SpectralCurve SPD)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeCorrectedCumulativeSPD

    public static void serializeCorrectedCumulativeSPD(ComputeByteBuffer out,
                                                       SpectralCurve SPD)
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeCumulativeSPD

    public static void serializeCumulativeSPD(ComputeByteBuffer out,
                                              SpectralCurve SPD)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeNormalizedSPD

    public static void serializeNormalizedSPD(ComputeByteBuffer out,
                                              SpectralCurve SPD,
                                              float unit)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeSPD

    public static void serializeSPD(ComputeByteBuffer out,
                                    SpectralCurve SPD)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### setDiscretization

    public static void setDiscretization(FluxSpectrum.SpectralDiscretization discretization)

### setImportance

    public static void setImportance(SpectralCurve ImportanceSPD)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD